#
# Conditional build:
%bcond_without	apidocs		# don't build API documentation
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Wayland - protocol for a compositor to talk to its clients
Summary(pl.UTF-8):	Wayland - protokół między serwerem składającym a klientami
Name:		wayland
Version:	1.6.0
Release:	2
License:	MIT
Group:		Libraries
Source0:	http://wayland.freedesktop.org/releases/%{name}-%{version}.tar.xz
# Source0-md5:	d34c141c975084e4fb668e77b38f840e
Patch0:		%{name}-publican.patch
Patch1:		%{name}-man.patch
URL:		http://wayland.freedesktop.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-style-xsl
BuildRequires:	doxygen
BuildRequires:	expat-devel
BuildRequires:	libffi-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
%{?with_apidocs:BuildRequires:	publican >= 3}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wayland is a project to define a protocol for a compositor to talk to
its clients as well as a library implementation of the protocol. The
compositor can be a standalone display server running on Linux kernel
modesetting and evdev input devices, an X application, or a Wayland
client itself. The clients can be traditional applications, X servers
(rootless or fullscreen) or other display servers.

%description -l pl.UTF-8
Wayland to projekt definiujący protokół między serwerem składającym a
klientami, a także biblioteki implementujące ten protokół. Serwer
składający może być samodzielnym serwerem wyświetlającym działającym
na linuksowym kernel modesetting oraz urządzeniach wejściowych evdev,
aplikacją X lub klientem Wayland. Klientami mogą być tradycyjne
aplikacje, serwery X (rootless lub pełnoekranowe) lub inne serwery
wyświetlające.

%package devel
Summary:	Header files for Wayland libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Wayland
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libffi-devel

%description devel
Header files for Wayland libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek Wayland.

%package static
Summary:	Static Wayland libraries
Summary(pl.UTF-8):	Statyczne biblioteki Wayland
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Wayland libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Wayland.

%package apidocs
Summary:	Wayland API and protocol documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki oraz protokołu Wayland
Group:		Documentation

%description apidocs
Wayland API and protocol documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki oraz protokołu Wayland.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# force regeneration (.so link is broken, double man3/)
%{__rm} doc/man/*.3
# force doxygen man regeneration
%{__rm} -r doc/doxygen/man

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# referenced by some installed wl_*.3 man pages
cp -p doc/doxygen/man/man3/wayland-util.h.3 $RPM_BUILD_ROOT%{_mandir}/man3

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libwayland-*.la
%if %{with apidocs}
# packaged as %doc in -devel
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/wayland
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README TODO
%attr(755,root,root) %{_libdir}/libwayland-client.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwayland-client.so.0
%attr(755,root,root) %{_libdir}/libwayland-cursor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwayland-cursor.so.0
%attr(755,root,root) %{_libdir}/libwayland-server.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwayland-server.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wayland-scanner
%attr(755,root,root) %{_libdir}/libwayland-client.so
%attr(755,root,root) %{_libdir}/libwayland-cursor.so
%attr(755,root,root) %{_libdir}/libwayland-server.so
%{_includedir}/wayland-*.h
%dir %{_datadir}/wayland
%{_datadir}/wayland/wayland.dtd
%{_datadir}/wayland/wayland.xml
%{_datadir}/wayland/wayland-scanner.mk
%{_pkgconfigdir}/wayland-client.pc
%{_pkgconfigdir}/wayland-cursor.pc
%{_pkgconfigdir}/wayland-scanner.pc
%{_pkgconfigdir}/wayland-server.pc
%{_aclocaldir}/wayland-scanner.m4
%{_mandir}/man3/wayland-util.h.3*
%{_mandir}/man3/wl_*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libwayland-client.a
%{_libdir}/libwayland-cursor.a
%{_libdir}/libwayland-server.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/publican/Wayland/en-US/html/*
%endif
%changelog
* Thu Sep 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wayland.git;a=log;h=master

* Thu Sep 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> ed71d02
- regenerate doxygen man files also

* Thu Sep 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> 11e282e
- updated to 1.6.0

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> dbb3e8d
- updated to 1.5.0

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> d5e4471
- updated to 1.4.0

* Tue Dec 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 7f5862a
- updated to 1.3.0 (1.2.x left on wayland-1.2 branch)

* Wed Sep 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 3fea358
- updated to 1.2.1 (note: API changes, Mesa 9.2 requires patching)
- added publican patch

* Mon Jul 01 2013 Marcin Krol <hawk@tld-linux.org> 72a4518
- release 3 (by relup.sh)

* Sun Mar 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 00c5e56
- docs *are* installed in Th (when apidocs build is enabled, so clean conditionally)

* Sat Mar 30 2013 Marcin Krol <hawk@tld-linux.org> c875f16
- rm %{_docdir}/wayland no longer needed (no such directory)
- release 2

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> a0e72c2
- added man patch (fix .so link generation)

* Thu Mar 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 6040c30
- updated to 1.0.6

* Fri Feb 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 2678f3d
- updated to 1.0.5
- removed obsolete missing patch

* Sat Jan 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 50b0298
- updated to 1.0.4
- added missing patch (missing file from wayland git)

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 1837cc5
- updated to 1.0.3

* Tue Dec 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 88a517d
- updated to 1.0.2

* Sat Nov 24 2012 Jakub Bogusz <qboosh@pld-linux.org> fabd73a
- updated to 1.0.1
- updated publican patch

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> a2b145c
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Fri Nov 02 2012 Jakub Bogusz <qboosh@pld-linux.org> ceb7105
- updated to 1.0.0
- added publican patch to allow build using publican 3.0.0

* Wed Aug 01 2012 Jakub Bogusz <qboosh@pld-linux.org> cc8accb
- updated to 0.95.0

* Sun Mar 11 2012 Jakub Bogusz <qboosh@pld-linux.org> cea843d
- new

